Bug 823429 - The show_bug.cgi output is not valid HTML
The show_bug.cgi output is not valid HTML
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Matt Tyson
: 927041 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-05-21 05:17 EDT by Jan Pazdziora
Modified: 2013-06-23 23:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.4-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-20 07:07:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of the broken display. (30.68 KB, image/png)
2012-05-21 05:22 EDT, Jan Pazdziora
no flags Details
screenshot for comment8 (148.29 KB, image/png)
2013-05-09 04:02 EDT, wangjing
no flags Details
screenshot for comment11 (174.80 KB, image/png)
2013-05-09 10:31 EDT, wangjing
no flags Details

  None (edit)
Description Jan Pazdziora 2012-05-21 05:17:32 EDT
Description of problem:

The output of show_bug.cgi does not seem to be valid HTML 4.01 Transitional.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to http://validator.w3.org/check?uri=https%3A%2F%2Fbugzilla.redhat.com%2Fshow_bug.cgi%3Fid%3D737830&charset=%28detect+automatically%29&doctype=Inline&group=0
or go to validator.w3.org and put in URL https://bugzilla.redhat.com/show_bug.cgi?id=737830
Actual results:

Result: 	10 Errors, 16 warning(s) 

Warning Line 277, Column 216: cannot generate system identifier for general entity "version"


and many more.

Expected results:

Result: 	Passed 

Additional info:
Comment 1 Jan Pazdziora 2012-05-21 05:22:07 EDT
Created attachment 585768 [details]
Screenshot of the broken display.

One of the ill effects is ul within ul which leads to broken display. This is Firefox 12.0.
Comment 2 wangjing 2012-09-29 03:30:33 EDT
I see the error results on the page validator.w3.org, but I didn't see the broken display as in the attachment by opening the https://bugzilla.redhat.com/show_bug.cgi?id=737830, this Firefox 15.0.
Comment 3 Simon Green 2012-10-10 02:21:23 EDT
The display problem was fixed many months ago.

However, we still aren't producing compliant HTML. I've checked upstream, and they aren't either. Some errors are customisations on our part (ID "USEFUL-LINKS" already defined). Others come from upstream.

I'm going to mark this as part of the initial Bugzilla 4.4 release. Any changes that affect upstream mean we can submit a patch for it.
Comment 6 Matt Tyson 2013-02-14 00:28:51 EST
I've fixed up the broken HTML caused by Red Hat extensions.  There's still some  warnings from the upstream HTML, but they don't look like they would cause any page breakage.
Comment 7 Simon Green 2013-04-15 18:47:54 EDT
*** Bug 927041 has been marked as a duplicate of this bug. ***
Comment 9 wangjing 2013-05-09 04:02:52 EDT
Created attachment 745573 [details]
screenshot for comment8
Comment 12 wangjing 2013-05-09 10:31:26 EDT
Created attachment 745679 [details]
screenshot for comment11

Note You need to log in before you can comment on or make changes to this bug.